using UnityEngine;

public interface ISkillEffect
{
    void Execute(SkillInstance skill, Transform caster, float chargeRatio);
    void ExecuteAtPosition(SkillInstance skill, Transform caster, Vector3 targetPos, float chargeRatio);
}
